Can browse repository but not view differences on a revision of an svn repository

2008-06-06 09:30 - Anonymous

Status: Closed Start date: 2008-06-06

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 0.7.1

Description

Most of the errors I've seen here to do with subversion are when svn.exe is not on a path accessible from redmine.  I can browse the

repository through redmine so this is not the case.

But I cannot view differences of a revision (either all differences or indiviual differences from a revision).  I get the following error in

my web browser:

The entry or revision was not found in the repository.

And this error in test.log from redmine

Processing RepositoriesController#diff (for 172.16.105.16 at 2008-06-06 08:25:41) [GET]

  Session ID: ae25f7bd7b7fc0f738a2e8a1ade43c97

  Parameters: {"rev"=>"26527", "action"=>"diff", "id"=>"project", "controller"=>"repositories", "p

ath"=>[]}

  [4;35;1mSQL (0.000000)[0m   [0mSELECT max(updated_on) AS max_updated_on FROM settings [0m

  [4;36;1mUser Load (0.000000)[0m   [0;1mSELECT * FROM users WHERE (status = 1) AND (users."id" = 

10) [0m

  [4;35;1mProject Load (0.000000)[0m   [0mSELECT * FROM projects WHERE (projects."identifier" = 'a

lchemii-soft') LIMIT 1[0m

  [4;36;1mRepository Load (0.000000)[0m   [0;1mSELECT * FROM repositories WHERE (repositories.proj

ect_id = 3) LIMIT 1[0m

  [4;35;1mEnabledModule Load (0.000000)[0m   [0mSELECT * FROM enabled_modules WHERE (enabled_modul

es.project_id = 3) [0m

  [4;36;1mUserPreference Load (0.000000)[0m   [0;1mSELECT * FROM user_preferences WHERE (user_pref

erences.user_id = 10) LIMIT 1[0m

Shelling out: svn diff -r 26526:26527 "http://server/svn/project/"@26527 --username "XXXX" --passw

ord "XXXX" 

Rendering template within layouts/base

  [4;35;1mSQL (0.000000)[0m   [0mSELECT count(DISTINCT members.id) AS count_all FROM members LEFT 

OUTER JOIN projects ON projects.id = members.project_id LEFT OUTER JOIN roles ON roles.id = member

s.role_id WHERE (members.user_id = 10 AND (projects.status=1)) [0m

  [4;36;1mProject Load Including Associations (0.000000)[0m   [0;1mSELECT projects."id" AS t0_r0, 

projects."name" AS t0_r1, projects."description" AS t0_r2, projects."homepage" AS t0_r3, projects.

"is_public" AS t0_r4, projects."parent_id" AS t0_r5, projects."projects_count" AS t0_r6, projects.

"created_on" AS t0_r7, projects."updated_on" AS t0_r8, projects."identifier" AS t0_r9, projects."s

tatus" AS t0_r10, parents_projects."id" AS t1_r0, parents_projects."name" AS t1_r1, parents_projec

ts."description" AS t1_r2, parents_projects."homepage" AS t1_r3, parents_projects."is_public" AS t

1_r4, parents_projects."parent_id" AS t1_r5, parents_projects."projects_count" AS t1_r6, parents_p

rojects."created_on" AS t1_r7, parents_projects."updated_on" AS t1_r8, parents_projects."identifie

r" AS t1_r9, parents_projects."status" AS t1_r10 FROM projects LEFT OUTER JOIN projects parents_pr

ojects ON parents_projects.id = projects.parent_id INNER JOIN members ON projects.id = members.pro

ject_id WHERE ((members.user_id = 10) AND ((projects.status=1))) [0m

Rendered layouts/_project_selector (0.01600)

  [4;35;1mSQL (0.000000)[0m   [0mSELECT count(*) AS count_all FROM versions WHERE (versions.projec

t_id = 3) [0m

Completed in 0.12500 (8 reqs/sec) | Rendering: 0.03200 (25%) | DB: 0.00000 (0%) | 500 Internal Ser

ver Error [http://server/redmine/repositories/diff/project?rev=26527]

 We're running redmine through Apache-2.2.8 and mod_fastcgi on windows with a prefix defined (therefore using RewriteBase

/redmine in our .htaccess file.
I've posted this as a discussion forum but received no reply so am posting as a bug. (see 

http://www.redmine.org/boards/2/topics/show/1163).

Redmine-0.7.1 (also tried 0.7-stable@1492 but has same issue)

Ruby-1.8.6

Rails-2.0.2

Windows XP SP2

Apache-2.2.8

svn-1.4.6

mod_fastcgi-2.4.6

History

#1 - 2008-06-06 14:12 - Anonymous

I've kind of worked around this now by managing to get apache to work as a proxy balancer on Windows using multiple instances of mongrel (via

mongrel service) as the back-end.  So no more mod_fastcgi.

See thie thread http://www.redmine.org/boards/2/topics/show/1019 for details.

#2 - 2008-06-07 16:52 - Jean-Philippe Lang

Can we consider this ticket as closed ?

#3 - 2008-06-07 17:27 - Anonymous

- Status changed from New to Closed

I guess so.  There's still an issue with using mod_fastcgi under Apache on Windows that stopped revision browsing from working so other users may

hit it in the future.  But for me I'm happier with mongrel now I've got the re-write rules working.

If I get a chance, I'll look at creating a wiki page from the forum thread above detailing Apache configs to use mongrel on windows as they will be

useful for new users trying to set-up redmine.

Cheers

Russell
